# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name:           toComp.rb 1.0
# Author:         Jan Sandstrom   www.pixero.com
#				  with great help from TIG
# Date:           28 March 2018
# Description:	  Use script to make component from selection without comp dialog popup.


require 'sketchup.rb'

module JS
	def self.to_comp

		mod = Sketchup.active_model
		sel = mod.selection
		ent = mod.active_entities
		grp = ent.add_group(sel.to_a)
		ins = grp.to_component
		ins.definition.name = "Compo#1"

	end #end def
end # end module

		if( not file_loaded?("toComp.rb") )
			UI.menu("Extensions").add_item("To Component") { JS.to_comp }
		end

		file_loaded("toComp.rb")
